"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const exceptions_1 = require("./exceptions");
const suffix_rules_1 = require("./suffix-rules");
const types_1 = require("./types");
function preposisjon(place) {
    if (typeof place !== 'string') {
        throw new TypeError('preposisjon expected its argument to be a string, but received ' +
            typeof place);
    }
    const p = place.toLowerCase().trim();
    // Check exceptions
    if (exceptions_1.paaExceptions.has(p)) {
        return types_1.Preposition.PÅ;
    }
    if (exceptions_1.iExceptions.has(p)) {
        return types_1.Preposition.I;
    }
    // Check suffix rules
    if (suffix_rules_1.paaSuffixes.some((suffix) => p.endsWith(suffix))) {
        return types_1.Preposition.PÅ;
    }
    return types_1.Preposition.I;
}
exports.default = preposisjon;
